Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 590658 - RFE: add dvd.repo
Summary: RFE: add dvd.repo
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-release
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-10 12:39 UTC by Frank Murphy
Modified: 2013-01-10 05:57 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-10 20:19:46 UTC
Type: ---


Attachments (Terms of Use)
Screen-Cap of DVD.repo getting disabled (57.95 KB, image/png)
2010-05-10 22:34 UTC, Frank Murphy
no flags Details

Description Frank Murphy 2010-05-10 12:39:55 UTC
Description of problem: No auto DVD repo created.


Version-Release number of selected component (if applicable):
fedora-release-13*

How reproducible:

Additional info:

If a DV.repo was auto installed by fedora-release.
Further use could be made of a DVD.

I have no study case as to multi-CD's Are they still used?

Ref:
http://lists.fedoraproject.org/pipermail/devel/2010-May/135829.html

Would probably help with new users, on a low\no bandwidth.

Comment 1 Jesse Keating 2010-05-10 20:19:46 UTC
I'm not reading that super long thread.  Show a patch with working PackageKit code and we'll talk.

Comment 2 Frank Murphy 2010-05-10 22:34:23 UTC
Created attachment 412992 [details]
Screen-Cap of DVD.repo getting disabled

Don't know the code but works with:
PackageKit-0.6.4-1.fc13.i686

if correct dvd installed 

dvd.repo from 
http://hedayatvk.wordpress.com/2009/02/22/using-fedora-dvd-not-a-solution-but-a-bit-better/

Had no dvd installed for test, as no F13 general release handy.
But with a modified dvd.repo for F12-DVD, it will list the contents.

Comment 3 Richard Hughes 2010-05-11 09:48:53 UTC
Personally, I think shipping a dvd repo on the DVD image (but disabled) is a very good idea. PackageKit will just disable the repo if it can't contact it, although I've not verified how many times PackageKit will tell you that it can't access the dvd repo when the disk is not installed. I fear it will inform the user every updates check, which is at least once a day. Multi-CD install media isn't really used anymore, so that's a use case I'm not willing to support.

If users genuinely want to use the DVD, they are the ones who have to enable the repo.

Note: yum (via MediaManager) makes this really hard to do anything sensible in PackageKit. I'm going to look at this today and see if we can bash the code into any reasonable state.


Note You need to log in before you can comment on or make changes to this bug.